Skip to main content
POST
/
v2
/
notify
/
{workflowRunId}
/
{eventId}
Notify Workflow Run Event
curl --request POST \
  --url https://qstash.upstash.io/v2/notify/{workflowRunId}/{eventId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "waiter": {
    "url": "<string>",
    "headers": {},
    "deadline": 123,
    "timeoutBody": "aSDinaTvuI8gbWludGxpZnk=",
    "timeoutUrl": "<string>",
    "timeoutHeaders": {}
  },
  "messageId": "<string>",
  "deduplicated": true,
  "error": "<string>",
  "workflowRunId": "<string>",
  "workflowCreatedAt": 123
}

Authorizations

Authorization
string
header
required

QStash authentication token

Path Parameters

workflowRunId
string
required

The workflow run ID to notify.

eventId
string
required

The event ID that waiters are listening for.

Body

The event data to send to the waiter. This will be the request payload for the waiting workflow step.

The body is of type object.

Response

Event notification sent or saved successfully

waiter
object

The waiter that was notified.

messageId
string

The ID of the notification message that was published.

deduplicated
boolean

Whether this notification was deduplicated.

error
string

Error message if the notification failed.

workflowRunId
string

The workflow run ID if the notification was sent within a workflow.

workflowCreatedAt
integer<int64>

The timestamp when the workflow run was created (Unix timestamp in milliseconds).